function engage(filename,filepath,mode)
%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION.                                                                      

%----------------------------------------------------------------
%
% führt in pp.m  gewählte Operation aus
%
%----------------------------------------------------------------

vorganglist = findobj('tag','vorganglist');
vorgang=get(vorganglist,'Value');



%  Vorgang aufrufen
%-----------------------------------------------------------------


if vorgang == 1
   %convert(filename,filepath,mode);
elseif vorgang == 2
   adjustbrightnessfenster(filename,filepath,mode);
elseif vorgang == 3
   renamefenster(filename,filepath,mode);
elseif vorgang == 4   
	transposefenster(filename,filepath,mode);
elseif vorgang == 5
   expdatafenster(filepath,filename,mode);
elseif vorgang == 6
   autilfenster(filename,filepath,mode);
elseif vorgang == 7
   alignfenster(filename,filepath,mode);
elseif vorgang == 8
   ampmatchfenster(filename,filepath,mode);
elseif vorgang == 9
   flipmanage(filename,filepath,mode); 
elseif vorgang == 10   
   %writescemanage(filename,filepath,mode);
elseif vorgang == 11   
   sparamanage(filename,filepath,mode);
elseif vorgang == 12   
   addfixxmanage(filename,filepath,mode);
elseif vorgang == 13   
   peakmorphmanage(filename,filepath,mode);
elseif vorgang == 14   
   levelwavfenster(filename,filepath,mode);
elseif vorgang == 15   
   highcutfenster(filename,filepath,mode);
elseif vorgang == 16   
   balancefenster(filename,filepath,mode);
elseif vorgang == 17   
   splithalffenster(filename,filepath,mode);
elseif vorgang == 18   
   pparamanage(filename,filepath,mode);
elseif vorgang == 19   
   adjustcontrmanage(filename,filepath,mode);
elseif vorgang == 20
   tradebrcontfenster(filename,filepath,mode);
elseif vorgang == 21
   findpeakmanage(filename,filepath,mode);
elseif vorgang == 22
   ppfenster=findobj('tag','ppfig');
   close(ppfenster);
   randomizer;
elseif vorgang == 23
   cutwav6smanage(filename,filepath,mode);
elseif vorgang == 24
   readwebpicratingsmanage(filename,filepath,mode);
elseif vorgang == 25
   ppfenster=findobj('tag','ppfig');
   close(ppfenster);
   selectitems;
elseif vorgang == 26
   readwebsoundratingsmanage(filename,filepath,mode);   
elseif vorgang == 27
   readwebwordratingsmanage(filename,filepath,mode);  
elseif vorgang == 28
   local2globalmanage(filename,filepath,mode); 
elseif vorgang == 29
   movefiletomanage(filename,filepath,mode); 
elseif vorgang == 30
   manage('pic2html',filename,filepath,mode); 
elseif vorgang == 31
   pic2htmltablemanage(filename,filepath,mode); 
elseif vorgang == 32
   AddFixCrossManage(filename,filepath,mode); 
elseif vorgang == 33
   WebpicAverage(filename,filepath); 
elseif vorgang == 34
   wavelet2fftmanage(filename,filepath,mode); 
elseif vorgang == 35
   deletefilesmanage(filename,filepath,mode); 
elseif vorgang == 36
   ifileplotmanage(filename,filepath,mode); 
elseif vorgang == 37
  splithalffensterkaro(filename,filepath,mode); 
elseif vorgang == 38
  batmergeavgfiles(filename,filepath,mode); 
elseif vorgang == 39
  testjpgsmanage(filename,filepath,mode); 
elseif vorgang == 40
  nancorrmanage(filename,filepath,mode);
elseif vorgang == 41
  spmdirectory(filename,filepath,mode);
elseif vorgang == 42
  setlengthatmanage(filename,filepath,mode);
elseif vorgang == 43
    matchconmanage(filename,filepath,mode);
elseif vorgang == 44
    chchdatemanage(filename,filepath,mode);
elseif vorgang == 45
    killchar13manage(filename,filepath,mode);
elseif vorgang == 46
    readpairstoanovamanage(filename,filepath,mode);
elseif vorgang == 47
    addcopyrightnotemanage(filename,filepath,mode);
elseif vorgang == 48
    editconweramanage(filename,filepath,mode);
else 
   error('da klappt was nich!');
end

